Bug 15994 - NFS failures due to bad file handle (fh_size==0) in fh_verify
Summary: NFS failures due to bad file handle (fh_size==0) in fh_verify
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-11 14:15 UTC by Thor Nolen
Modified: 2007-04-18 16:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 19:28:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thor Nolen 2000-08-11 14:15:17 UTC
For some reason, fh_size isn't always initialized (in my tests, it was
zero on some nfs lockd requests).  The result is that fh_verify fails.
Don't know where it really deserves to be initialized, but the rest of
the fh appears to be properly initialized (setting the fh_size=NFS_FHSIZE
allows the request to flow normally).

Comment 1 Michael K. Johnson 2000-08-31 22:07:48 UTC
Alan, please comment

Comment 2 Elliot Lee 2004-08-23 19:28:08 UTC
Old bug


Note You need to log in before you can comment on or make changes to this bug.